Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.ad
Interface AdRenderableContentProvider

All Superinterfaces
  AdContentProvider

All Known Implementing Classes:
  AdContentProviderBase, DefaultContentProvider, ImageContentProvider, ShockwaveContentProvider, TextContentProvider

    public interface AdRenderableContentProvider

extends AdContentProvider

The public interface of an object which can render ad Content objects into displayable content.

Field Summary
`static String` | `VERSION_ID`

Fields inherited from interface com.bea.p13n.ad.AdContentProvider
`NEW_WINDOW, NEW_WINDOW_TYPE, PREVIEW`

Method Summary
`String` | `renderContent(RenderableContent content, long identifier, String servletBase, int height, int width, int options)` Return the XHTML content for the specified content

Methods inherited from interface com.bea.p13n.ad.AdContentProvider
`renderContent`

Field Detail

### VERSION_ID

    static final String VERSION_ID

See Also
  Constants Summary

Method Detail

### renderContent

    String renderContent(RenderableContent content,
                         long identifier,
                         String servletBase,
                         int height,
                         int width,
                         int options)
                         throws AdContentException

  Return the XHTML content for the specified content

  Parameters
    `content` - The content element to render
    `identifier` - A long that is used to access the database record
    `servletBase` - The Web App root for the click thru servlet
    `height` - The suggested height
    `width` - The suggested width
    `option` - The options for the rendering
  Throws
    `AdContentException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.